
.product-quick-content__present
  // Popup basket (bag)
  float: left
  display: flex
  justify-content: flex-start
  align-items: center
  img
    width: 50px
    height: 50px
    min-width: 50px
  .name
    color: #0b2b43
    font-size: 14px
    font-weight: 400
    line-height: 22px
    a
      color: #0b2b43

.present-table-row
  box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.22) inset

.present-badge
  position: relative
  color: #ffffff
  font-size: 12px
  font-weight: 700
  line-height: 25px
  padding-right: 10px
  text-align: center
  text-transform: uppercase
  width: 90px
  height: 25px
  border-radius: 2px
  background: url(/static/web/img/present-badge.png) 0 0 no-repeat

.present
  margin-top: 15px
  margin-bottom: 35px
  &__header
    color: #989898
    font-size: 18px
    font-weight: 700
  .wrap
    position: relative
    width: 400px
    height: 110px
    overflow: hidden
  .present__image
    position: absolute
    top: -20px
    img
      transition: transform 2s
  .present__image-grad
    position: absolute
    top: 10%
    width: 200%
    height: 56%
    background: linear-gradient(0deg, #000000a3 0%, #ffffff00 50%)
    z-index: 2
  .present__name
    position: absolute
    bottom: 0
    text-overflow: ellipsis
    width: 100%
    font-size: 24px
    font-weight: 600
    white-space: nowrap
    overflow: hidden
    padding: 5px
    color: white
    z-index: 3
    font-size: 18px
    font-weight: 700
    font-style: italic
  a
    position: absolute
    width: 100%
    height: 100%
    z-index: 6
  .present__wrapper
    position: absolute
    z-index: 5
    right: 0
    transition: right 1s
    .present__title
      position: absolute
      right: 10px
      top: 40px
      font-weight: 700
      font-size: 22px
      color: white
      z-index: 3
      transform: rotate(45deg)
      transition: opacity 1s
    .present__icon
      position: absolute
      right: 105px
      top: 5px
      width: 20px
      height: 20px
      background: url(/static/web/img/present.png)
      background-size: cover
      transition: opacity 0.5s
      opacity: 0
      z-index: 4
    .present__tria
      width: 0
      height: 0
      right: 50px
      position: absolute
      border-top: 110px solid rgba(198, 40, 40, 0.9)
      border-left: 110px solid transparent
      z-index: 1
    .present__rect
      right: 0
      position: absolute
      width: 50px
      height: 110px
      background: rgba(198, 40, 40, 0.9)
      z-index: 1

  &:hover
    .present__image img
      transform: scale(.9)

    .present__wrapper
      right: -100px

    .present__icon
      opacity: 1
      transition-delay: 0.5s

    .present__title
      opacity: 0
